summaryrefslogtreecommitdiff
path: root/dev-db
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-01-21 18:43:29 +0100
committerHans de Graaff <graaff@gentoo.org>2019-01-21 18:43:29 +0100
commit4b0b3694c2dbfad802d5f3c4a44ae714fc1e5c75 (patch)
tree72bff46b1a0cf6189a78b817a258645b7b5808fa /dev-db
parentmedia-video/gnome-mpv: bump to 0.16 (diff)
downloadgentoo-4b0b3694c2dbfad802d5f3c4a44ae714fc1e5c75.tar.gz
gentoo-4b0b3694c2dbfad802d5f3c4a44ae714fc1e5c75.tar.bz2
gentoo-4b0b3694c2dbfad802d5f3c4a44ae714fc1e5c75.zip
dev-db/mysql-workbench: add 8.0.14
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'dev-db')
-rw-r--r--dev-db/mysql-workbench/Manifest1
-rw-r--r--dev-db/mysql-workbench/mysql-workbench-8.0.14.ebuild108
2 files changed, 109 insertions, 0 deletions
diff --git a/dev-db/mysql-workbench/Manifest b/dev-db/mysql-workbench/Manifest
index 38a715bf98a..75af94eba14 100644
--- a/dev-db/mysql-workbench/Manifest
+++ b/dev-db/mysql-workbench/Manifest
@@ -2,3 +2,4 @@ DIST antlr-3.4-complete.jar 2388361 BLAKE2B 561c1dffe464bbc387075df6d95bbdcab273
DIST antlr-4.7.1-complete.jar 2240116 BLAKE2B 3acf99b3701b2092cad2fb6e91f27791cbedd82f26888d7329e481be29fce4ec644eb57f663e515b92dea46c24222d4fb090aae5cae30c57c412a38932ea72ed SHA512 de1c230d7294e05ac7b451cbc639bab9d416a674b281e21092fb4a9329ca8b6d4b92b9ad78a9771cff475a1610f1d0419819c4619bdff36c683019da67ef13b1
DIST mysql-workbench-community-6.3.10-src.tar.gz 14969443 BLAKE2B 57f7b0d661bc8211e123a027ce12e71be5637c189cc6e3b949df4f8e5a7edfc8c78f3c6e85b7292347dce2b720ee79070ac8fb91224396a3afae4104583d4325 SHA512 f892853a5f8b000c424b945c38680e17b041699fe2b03743b71c803de6cedeb12e3f69ad94d1c737e23f26d8608026e18fb29d31be6b3a2ffea1d78229212a4d
DIST mysql-workbench-community-8.0.13-src.tar.gz 16047080 BLAKE2B c31560a978620ae04210b452bcf90b75e7eb2ec20335470054b2640220ed29c3476f5ee1bacd86575f9b42481de5452e94b8d7a5e8f56eb17ea0770be19dc296 SHA512 d6f7aeb85e1bb59474d432f8088fd5603e5b539f3fce9c78db2aeaa8de3bc9356de09a6486138e07a29dd62b971e7601cce12a2e4a9f7309364081ee5db4b55d
+DIST mysql-workbench-community-8.0.14-src.tar.gz 15631739 BLAKE2B f37dbe83ecc642d08dc4996e343944b4f1c1c00a84d581ce79944d7f431910cd89b0c53fda14e8ff4c912ed8a1eaab517710d24e0bef89f2ed566d0d5f0730e4 SHA512 fc09bb73692956b40b003e23c9b6b6b710082c98393ad4de988dc4f4d5c78d7476a7f56f7fa5d201bf5a267643b13a30db385016fe800b57893355b9225aaf71
diff --git a/dev-db/mysql-workbench/mysql-workbench-8.0.14.ebuild b/dev-db/mysql-workbench/mysql-workbench-8.0.14.ebuild
new file mode 100644
index 00000000000..7e90842c681
--- /dev/null
+++ b/dev-db/mysql-workbench/mysql-workbench-8.0.14.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GCONF_DEBUG="no"
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+
+inherit gnome2 eutils flag-o-matic python-single-r1 cmake-utils
+
+MY_P="${PN}-community-${PV}-src"
+
+DESCRIPTION="MySQL Workbench"
+HOMEPAGE="https://www.mysql.com/products/workbench/"
+SRC_URI="mirror://mysql/Downloads/MySQLGUITools/${MY_P}.tar.gz http://www.antlr.org/download/antlr-4.7.1-complete.jar"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug doc gnome-keyring"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# glibc: deprecated mutex functions, removed in 2.36.0
+CDEPEND="${PYTHON_DEPS}
+ app-crypt/libsecret
+ dev-libs/glib:2
+ dev-cpp/antlr-cpp:4
+ dev-cpp/atkmm
+ dev-cpp/pangomm
+ >=dev-cpp/glibmm-2.14:2
+ dev-cpp/gtkmm:3.0
+ dev-libs/atk
+ >=net-libs/libssh-0.7.3[server]
+ x11-libs/pango
+ x11-libs/gtk+:3
+ gnome-base/libglade:2.0
+ >=x11-libs/cairo-1.5.12[glib,svg]
+ dev-libs/libsigc++:2
+ >=dev-libs/boost-1.55.0[nls]
+ >=dev-cpp/ctemplate-0.95
+ >=dev-libs/libxml2-2.6.2:2
+ dev-libs/libzip
+ dev-libs/libpcre[cxx]
+ >=sci-libs/gdal-1.11.1-r1[-mdb]
+ virtual/opengl
+ || ( sys-libs/e2fsprogs-libs dev-libs/ossp-uuid )
+ dev-libs/tinyxml[stl]
+ >=dev-db/mysql-connector-c++-1.1.8
+ dev-db/vsqlite++
+ || ( dev-db/libiodbc dev-db/unixODBC )
+ gnome-keyring? ( gnome-base/libgnome-keyring )
+ dev-python/pexpect
+ >=dev-python/paramiko-1.7.4
+"
+
+RDEPEND="${CDEPEND}
+ app-admin/sudo
+ >=sys-apps/net-tools-1.60_p20120127084908"
+
+DEPEND="${CDEPEND}
+ dev-lang/swig
+ virtual/jre
+ virtual/pkgconfig"
+
+S="${WORKDIR}"/"${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-6.2.5-wbcopytables.patch"
+)
+
+src_unpack() {
+ unpack ${PN}-community-${PV}-src.tar.gz
+}
+
+src_prepare() {
+ sed -i -e '/target_link_libraries/ s/sqlparser.grt/sqlparser.grt sqlparser/' \
+ modules/db.mysql.sqlparser/CMakeLists.txt
+
+ ## remove hardcoded CXXFLAGS
+ sed -i -e 's/-O0 -g3//' ext/scintilla/gtk/CMakeLists.txt || die
+ ## And avoid -Werror
+ sed -i -e 's/-Werror//' CMakeLists.txt || die
+
+ ## package is very fragile...
+ strip-flags
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ if has_version dev-db/libiodbc ; then
+ IODBC="-DIODBC_CONFIG_PATH=/usr/bin/iodbc-config"
+ fi
+
+ append-cxxflags -std=c++11
+ ANTLR_JAR_PATH="${DISTDIR}/antlr-4.7.1-complete.jar"
+ local mycmakeargs=(
+ -DWITH_ANTLR_JAR=${ANTLR_JAR_PATH}
+ -DLIB_INSTALL_DIR="/usr/$(get_libdir)"
+ -DIODBC_INCLUDE_PATH="/usr/include/iodbc"
+ ${IODBC}
+ -DPYTHON_INCLUDE_DIR="$(python_get_includedir)"
+ -DPYTHON_LIBRARY="$(python_get_library_path)"
+ -DMySQL_CONFIG_PATH="/usr/bin/mysql_config"
+ )
+ cmake-utils_src_configure
+}